Control.Exception.Lens

# Handling

catching

catching_

handling

handling_

# Trying

trying

# Throwing

throwing

throwingM

throwingTo

# Exceptions

exception

# Exception Handlers

class Handleable e m h

## IOExceptions

class AsIOException p f t

## Arithmetic Exceptions

class AsArithException p f t

_Overflow

_Underflow

_LossOfPrecision

_DivideByZero

_Denormal

_RatioZeroDenominator

## Array Exceptions

class AsArrayException p f t

_IndexOutOfBounds

_UndefinedElement

## Assertion Failed

class AsAssertionFailed p f t

## Async Exceptions

class AsAsyncException p f t

_StackOverflow

_HeapOverflow

_ThreadKilled

_UserInterrupt

## Non-Termination

class AsNonTermination p f t

## Nested Atomically

class AsNestedAtomically p f t

## Blocked Indefinitely

### on MVar

class AsBlockedIndefinitelyOnMVar p f t

### on STM

class AsBlockedIndefinitelyOnSTM p f t

## Deadlock

class AsDeadlock p f t

## No Such Method

class AsNoMethodError p f t

## Pattern Match Failure

class AsPatternMatchFail p f t

## Record

class AsRecConError p f t

class AsRecSelError p f t

class AsRecUpdError p f t

## Error Call

class AsErrorCall p f t

# Handling Exceptions

class AsHandlingException p f t